summaryrefslogtreecommitdiff
path: root/tests/rm/rm3
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-12 14:52:26 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:39 +0200
commita669dfdabb3fa1be2e1367d53a797d495e7bd5c9 (patch)
treec88d6414649f7f4f5571138e193c72da44a03876 /tests/rm/rm3
parent0539705768992ebcc290bc859f64e27898c7f958 (diff)
downloadcoreutils-a669dfdabb3fa1be2e1367d53a797d495e7bd5c9.tar.xz
More misc, test-related changes. (some to allow running tests as root)
Diffstat (limited to 'tests/rm/rm3')
-rwxr-xr-xtests/rm/rm332
1 files changed, 9 insertions, 23 deletions
diff --git a/tests/rm/rm3 b/tests/rm/rm3
index 9ec07e416..cfa1b02a7 100755
--- a/tests/rm/rm3
+++ b/tests/rm/rm3
@@ -1,7 +1,7 @@
#!/bin/sh
# exercise another small part of remove.c
-# Copyright (C) 2002, 2003, 2004, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2002, 2003, 2004, 2006, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -21,33 +21,20 @@ if test "$VERBOSE" = yes; then
rm --version
fi
-. $srcdir/../envvar-check
. $srcdir/../lang-default
-PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+. $srcdir/../test-lib.sh
+skip_if_root_
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-mkdir -p z || framework_failure=1
-cd z || framework_failure=1
-touch empty empty-u || framework_failure=1
+mkdir -p z || framework_failure
+cd z || framework_failure
+touch empty empty-u || framework_failure
echo not-empty > fu
ln -s empty-f slink
ln -s . slinkdot
-mkdir d du || framework_failure=1
-chmod u-w fu du empty-u || framework_failure=1
+mkdir d du || framework_failure
+chmod u-w fu du empty-u || framework_failure
cd ..
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
-
fail=0
cat <<EOF > in
@@ -85,8 +72,7 @@ rm: remove write-protected directory \`z/du'
rm: remove directory \`z'
EOF
-cmp out exp || fail=1
-test $fail = 1 && diff -u out exp 2> /dev/null
+compare out exp || fail=1
test -d z && fail=1